clear;

analysispath='/Users/cswanson/local-inversion/cswanson-V4.1/analysis/';
addpath(analysispath);
datadir='/Users/cswanson/Desktop/local-20190520-week/20190520/xrays/spectra/';

global apply_to_all;
apply_to_all={'noise-file','09-SDD1-CC-midpoint-5.6us-noise.mca','geometry-preset','SDD-in-CC-midplane','aperture','3','target-pressure','0.530','Z','2','atoms-in-molecule','1','channels','[74:1024]','duty-factor','1','resolution','128','solver-tolerance','1e-5','smooth-energy','100','outfile-directory','.'};

global metadata;
metadata={
   {'file','01-SDD1-CC-midpoint-seed-helium.mca'}
%   {'file','02-SDD2-CC-radialscan-seed-helium.mca'}
   {'file','03-SDD1-CC-midpoint-seed-helium.mca'}
%   {'file','04-SDD2-CC-radialscan-seed-helium.mca'}
   {'file','05-SDD1-CC-midpoint-seed-helium.mca'}
%   {'file','06-SDD2-CC-radialscan-seed-helium.mca'}
   {'file','07-SDD1-CC-midpoint-seed-helium.mca'}
%   {'file','08-SDD2-CC-radialscan-seed-helium.mca'}
   {'file','09-SDD1-CC-midpoint-5.6us-noise.mca'}
%   {'file','10-SDD2-CC-radialscan-5.6us-noise.mca'}
};

%analyses={'raw','forward-fit','eedf','xray'};
%analyses={'raw','forward-fit','eedf'};
%analyses={'raw'};
analyses={'forward-fit'};
%analyses={'eedf'};
%analyses={'xray'};

init_inv;


